Le forum français des radios FrSKY

Simulateur 2.1.9 et 2.2.2 en FR

Page 9 sur 10 Précédent  1, 2, 3, 4, 5, 6, 7, 8, 9, 10  Suivant

Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par dev.fred le Mar 19 Déc 2017 - 15:48

Plutôt un oubli que j'ai corrigé

dev.fred

Messages : 581
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par diiity le Mar 19 Déc 2017 - 16:38

bien merci
avatar
diiity

Messages : 1300
Date d'inscription : 21/04/2015
Age : 65
Localisation : beauvais

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par pat31 le Mer 20 Déc 2017 - 18:07

Bonjour à tous,

En attendant la livraison de ma X10, je converti un à un mes avions en version 2.2.
Je contrôle systématiquement avec le simulateur radio.
Ma question :Sur l'image, est il possible de renommer les interrupteurs (exemple SC à la place de SB) ? Malgré mes recherches je n'ai pas trouvé la possibilité de le faire.
avatar
pat31

Messages : 528
Date d'inscription : 11/11/2013
Age : 72
Localisation : Pays de l'Ovalie

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par qrocll le Mer 6 Juin 2018 - 11:19

bonjour
opentx 2.2.1 me dit "le simulateur n'est pas encore disponible pour ce firmware
dernière version téléchargée 2.2.irc99
firmware opentx-x9d-lua-fr
merci de votre réponse

qrocll

Messages : 102
Date d'inscription : 10/04/2014
Age : 79
Localisation : 13210

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par Ceeb182 le Mer 6 Juin 2018 - 12:15

Le présent sujet ne concerne que la version FR du simulateur.
Quant au simulateur dans Companion 2.2.1, il est présent et fonctionne sans problème.

Peut-être s'agit-il d'un problème lié à la configuration de ton ordinateur ?
Pour cela, il nous faut beaucoup plus de détail :
- As-tu installé la version présente sur cette page : [Vous devez être inscrit et connecté pour voir ce lien] ?
- Quelle version utilises-tu : celle pour MacOS, Windows, Linux ? Précise la version de ton OS (Windows 7, Windows 10, Linux Ubuntu, Linux Mint...)
- As-tu bien configuré ton profil dans Compagnon ? (Réglage>Préférence>Type de radio )
- Peux-tu faire une capture d'écran pour identifier le message d'erreur ?
- Je ne suis pas sûr que les options de compilation aient une influence sur le simulateur
Pour la suite, ouvre un Nouveau sujet car ici nous sommes hors sujet.
Ouvre un Nouveau sujet sur [Vous devez être inscrit et connecté pour voir ce lien] si tu utilises Windows ou sur [Vous devez être inscrit et connecté pour voir ce lien] si tu utilises Linux ou MacOS.
avatar
Ceeb182

Messages : 661
Date d'inscription : 29/10/2016
Age : 43
Localisation : France

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par qrocll le Jeu 7 Juin 2018 - 0:54

[Message déplacé vers [Vous devez être inscrit et connecté pour voir ce lien] ]

Coyotte



qrocll

Messages : 102
Date d'inscription : 10/04/2014
Age : 79
Localisation : 13210

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par Ceeb182 le Dim 2 Sep 2018 - 19:19

Je suis aussi intéressé par le simulateur en français pour OTX en 2.2.2.
Si dev.fred passe par là...
avatar
Ceeb182

Messages : 661
Date d'inscription : 29/10/2016
Age : 43
Localisation : France

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par dev.fred le Jeu 25 Oct 2018 - 10:27

Je suis passé par là et mon environnement de dev est toujours opérationnel, j'ai donc produit la version 2.2.2 en FR.

Les devs ne semblent + du tout motivés pour fournir les traductions des simulateurs.

dev.fred

Messages : 581
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par LapinFou le Jeu 25 Oct 2018 - 10:55

Heureusement que tu es là !!!
J'ai essayé de suivre la procédure ci-dessus, mais cela génère des DLL pour MinGW, pas pour du MSVC... Sad
Si cela t'intéresse → [Vous devez être inscrit et connecté pour voir ce lien]

Afin de ne pas "pourrir" mon PC perso, j’envisageais de faire une VM avec les outils de dev OpenTX mais un Zorro nommé dev.fred est arrivé à temps !!
Very Happy

albino
avatar
LapinFou

Messages : 9403
Date d'inscription : 09/09/2014
Age : 43
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par dev.fred le Jeu 25 Oct 2018 - 11:32

C'est en lisant chat.open-tx.org que je suis tombé sur #6226 qui m'a conduit ici où j'ai vu cette demande qui trainait.
J'ai passé pas mal de temps à mettre au point l’environnement W10 aussi je manque d'énergie et de curiosité pour construire l’environnement QtCreator décrit par Max.

Pour la 2.2.3, j'essayerai d’être plus réactif


dev.fred

Messages : 581
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par LapinFou le Jeu 25 Oct 2018 - 11:45

Tu ne reçois pas de notifications par email lorsque l'on poste un nouveau message sur l'un de tes topics ??? Shocked

Sinon, l'environnement Qt est assez facile à mettre en place. Mais pour ce que je veux en faire, cela n'a pas d'intérêt.

albino
avatar
LapinFou

Messages : 9403
Date d'inscription : 09/09/2014
Age : 43
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par Ceeb182 le Jeu 25 Oct 2018 - 11:49

Merci @dev.fred ! C'est génial.

Merci aussi à @LapinFou qui a essayé de produire les DLLs. Il suffit de lire [Vous devez être inscrit et connecté pour voir ce lien] pour voir que ce n'est pas si simple.


Dernière édition par Ceeb182 le Jeu 25 Oct 2018 - 11:57, édité 1 fois
avatar
Ceeb182

Messages : 661
Date d'inscription : 29/10/2016
Age : 43
Localisation : France

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par dev.fred le Jeu 25 Oct 2018 - 11:57

Lapinfou a écrit:Tu ne reçois pas de notifications par email lorsque l'on poste un nouveau message sur l'un de tes topics ???

J'en ai reçu au moins 2 aujourd'hui du fait de sa réactivation après ma réponse mais sinon rien sur ce sujet à part des newsletters

dev.fred

Messages : 581
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par LapinFou le Ven 26 Oct 2018 - 12:20

Je suis en train d'essayer de me faire l'environnement de compilation (pour le fun).

Je suis à l'étape où il faut installer PyQt4.
J'ai lu qu'il fallait d'abord installer SIP.
Par contre j'ai 2 soucis:
1. Quelle plateforme dois-je choisir ? cygwin-g++, win32-msvc ou win32-msvc2015 ou autre ?
2- D'après la doc, il faut que je fasse un "make", mais je n'ai que "cmake". Ou alors c'est le "make" de Qt ??

Cher dev.fred, ce serait génial si tu pouvais m'aider.

albino
avatar
LapinFou

Messages : 9403
Date d'inscription : 09/09/2014
Age : 43
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par dev.fred le Ven 26 Oct 2018 - 14:59

Si tu suis la doc de Max : [Vous devez être inscrit et connecté pour voir ce lien]
à partir de For 2.2 only: , il n'y a pas d’ambiguïté : Install Visual Studio Community Edition 2015 (or later)
Je n'ai eu à installer SIP, d’où ça vient ?
Renseigne bien ton Path pour que toutes les cdes fonctionnent.

Je me suis fait un fichier .cmd à placer sous le répertoire qui contient le code source (exemple opentx-2.2.2) dans le sous répertoire opentx-2.2.2\build\ c'est de là qui tu ouvriras une fenêtre CMD, le résultat de la compile se trouvera sous opentx-2.2.2\build\Release\
Comme tu le vois, il utilise cmake.

Code:
SET OPENTX_VERSION_SUFFIX=
SET COMMON_OPTIONS=-G "Visual Studio 14" ..\ -DCMAKE_PREFIX_PATH=C:\Qt\Qt5.7.0\5.7\msvc2015 -DGVARS=YES -DTRANSLATIONS=FR -DHELI=YES -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DMULTIMODULE=YES -DHAPTIC=YES

cmake %COMMON_OPTIONS% -DPCB=X9D
"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release

cmake %COMMON_OPTIONS% -DPCB=X9D+
"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release

cmake %COMMON_OPTIONS% -DPCB=X9E
"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release

cmake %COMMON_OPTIONS% -DPCB=X7
"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release

cmake %COMMON_OPTIONS% -DPCB=X10
"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release

cmake %COMMON_OPTIONS% -DPCB=X12S
"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release

"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" companion/src/installer.vcxproj /p:Configuration=Release

Extrait de son exécution (compter + de 10mn) :
Code:

C:\Users\devfr\Desktop\opentx\opentx-2.2.2\1-build>all-build2-2.cmd

C:\Users\devfr\Desktop\opentx\opentx-2.2.2\1-build>SET OPENTX_VERSION_SUFFIX=

C:\Users\devfr\Desktop\opentx\opentx-2.2.2\1-build>SET COMMON_OPTIONS=-G "Visual Studio 14" ..\ -DCMAKE_PREFIX_PATH=C:\Qt\Qt5.7.0\5.7\msvc2015 -DGVARS=YES -DTRANSLATIONS=FR -DHELI=YES -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DMULTIMODULE=YES -DHAPTIC=YES

C:\Users\devfr\Desktop\opentx\opentx-2.2.2\1-build>cmake -G "Visual Studio 14" ..\ -DCMAKE_PREFIX_PATH=C:\Qt\Qt5.7.0\5.7\msvc2015 -DGVARS=YES -DTRANSLATIONS=FR -DHELI=YES -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DMULTIMODULE=YES -DHAPTIC=YES -DPCB=X9D
-- Git repository not found, revision number not available.
-- OpenTX 2.2.2 @0
-- Python found, version: 2.7.11
-- Qt Version: 5.7.0
-- SDL Lib: C:/programs/SDL/lib/SDL.lib; Headers: C:/programs/SDL/include; Version: 1.2.15
TARGET simu/libsimulator: cpp compiler C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/cl.exe v1900
TARGET companion: cpp compiler C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/cl.exe v1900
-- Partial install to C:/Users/devfr/Desktop/opentx/opentx-2.2.2/1-build
-- Configuring done
-- Generating done
-- Build files have been written to: C:/Users/devfr/Desktop/opentx/opentx-2.2.2/1-build

C:\Users\devfr\Desktop\opentx\opentx-2.2.2\1-build>"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release

Pour exécuter companion, il faut copier toutes les DLL nécessaires sous Release
[Vous devez être inscrit et connecté pour voir ce lien]

Pour générer le firmware j'ai un fichier .bat à placer sous opentx-2.2.2\firmware
ouvrir un fenêtre CMD et se placer de ce répertoire puis exécuter le fichier .bat
Code:
cmake -G "MinGW Makefiles" ..\ -DPCB=X9D -DHELI=NO -DGVARS=YES -DTRANSLATIONS=FR -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DHAPTIC=YES -DMULTIMODULE=YES
mingw32-make -j 4 firmware

Extrait de son exécution :
Code:
C:\Users\devfr\Desktop\opentx\opentx-2.2.2\2-firm>dofirm2-2.bat

C:\Users\devfr\Desktop\opentx\opentx-2.2.2\2-firm>cmake -G "MinGW Makefiles" ..\ -DPCB=X9D -DHELI=NO -DGVARS=YES -DTRANSLATIONS=FR -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DHAPTIC=YES -DMULTIMODULE=YES
-- The C compiler identification is GNU 5.3.0
-- The CXX compiler identification is GNU 5.3.0
-- Check for working C compiler: C:/MinGW/bin/gcc.exe
-- Check for working C compiler: C:/MinGW/bin/gcc.exe -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: C:/MinGW/bin/g++.exe
-- Check for working CXX compiler: C:/MinGW/bin/g++.exe -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found Git: C:/Users/devfr/AppData/Local/Atlassian/SourceTree/git_local/bin/git.exe (found version "2.17.1.windows.2")
-- Git repository not found, revision number not available.
-- OpenTX 2.2.2 @0
-- Found PythonInterp: C:/programs/Python27/python.exe (found version "2.7.11")
-- Python found, version: 2.7.11
CMake Warning at CMakeLists.txt:78 (find_package):
  By not providing "FindQt5Core.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "Qt5Core", but
  CMake did not find one.
*****
plus loin
*****
[ 98%] Building CXX object radio/src/CMakeFiles/firmware.dir/targets/taranis/diskio.cpp.obj
[ 98%] Building CXX object radio/src/CMakeFiles/firmware.dir/bin_allocator.cpp.obj
[100%] Linking CXX executable ..\..\firmware.elf
[100%] Built target firmware

C:\Users\devfr\Desktop\opentx\opentx-2.2.2\2-firm>

dev.fred

Messages : 581
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par LapinFou le Ven 26 Oct 2018 - 15:09

Super merci pour ce complément d'information !!

En fait je bloque sur cette étape: "Install PyQt4 and Python 2.7"
D'après le README, il faut faire:
Code:
python configure-ng.py
Sauf que j'obtiens:
Code:
Error: Make sure you have a working Qt qmake on your PATH.

En regardant la doc, j'ai vu qu'il fallait installer SIP avec d'installer PyQt4...

du coup je suis un peu largué.

Sinon, tip-top tes modifs RegEdit pour ajouter le "Command Prompt Her".

C'est trop pratique.

albino
avatar
LapinFou

Messages : 9403
Date d'inscription : 09/09/2014
Age : 43
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par dev.fred le Ven 26 Oct 2018 - 16:13

J'ai ça dans mes notes:
Install Python 2.7
[Vous devez être inscrit et connecté pour voir ce lien]
Select "Add Python.exe to path"
Install PyQt4 for QT4.8.7 and Python 2.7
[Vous devez être inscrit et connecté pour voir ce lien]
Depuis la 2.2.2 installer Pillow-5.1.0.win32-py2.7.exe  https://pypi.org/project/Pillow/#files

Effectivement il installe SIP dans le tas :
[Vous devez être inscrit et connecté pour voir ce lien]

Le tout dans le répertoire Python27:
[Vous devez être inscrit et connecté pour voir ce lien]


Dernière édition par dev.fred le Ven 26 Oct 2018 - 16:40, édité 2 fois

dev.fred

Messages : 581
Date d'inscription : 07/02/2014
Localisation : Paimpol (22)

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par LapinFou le Ven 26 Oct 2018 - 17:25

Tadaa !!

Je viens de lancer le "Build" de la target "ALL_BUILD" sous Visual Studio.
Cela semble fonctionner. Par contre, j'ai vu passer quelques erreurs.
Exemple:
Code:
C:\Git\opentx\opentx\radio\src\gui\212x64\view_about.cpp(24): fatal error C1083: Cannot open include file: 'about.lbm': No such file or directory
C'est pareil pour toi ??

Sinon je viens de créer le fichier CMD comme tu le préconises.
Par contre dans ton tuto, tu utilisais une boucle for:
Code:
SET OPENTX_VERSION_SUFFIX=PERSO
SET COMMON_OPTIONS=-G "Visual Studio 14" ..\ -DCMAKE_PREFIX_PATH=C:\Qt\Qt5.7.0\5.7\msvc2015 -DGVARS=YES -DTRANSLATIONS=FR -DHELI=NO -DLUA=YES -DMIXERS_MONITOR=YES -DTIMERS=2 -DMULTIMODULE=YES -DHAPTIC=YES

for %%p in (X9D X9E X9D X9D+ X7 X12S) do ( cmake %COMMON_OPTIONS% -DPCB=%%p
"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" radio\src\targets\simu\libsimulator.vcxproj /p:Configuration=Release )

"C:\Program Files (x86)\MSBuild\14.0\Bin\MSBuild.exe" companion/src/installer.vcxproj /p:Configuration=Release
Cela ne fonctionnait pas comme tu voulais ?

Dernière question: quelles sont les étapes à faire lorsqu'une nouvelle version d'OpenTX sort.
Je dirais:
1. Faire un switch sur le bon TAG git.
2. Faire un "cmake -G "Visual Studio 14" ../code/ -DCMAKE_PREFIX_PATH=C:\Qt\5.7\msvc2015" (avec les bons chemins).
3. Refaire un ALL_BUILD ??
Ou je peux juste faire un update du code et directement lancer ton script CMD ?
Dernière question, comment faire un "make clean".

Désolé de te poser toutes ces questions, mais n'étant pas softeux, c'est pas facile facile.

albino
avatar
LapinFou

Messages : 9403
Date d'inscription : 09/09/2014
Age : 43
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par LapinFou le Ven 26 Oct 2018 - 17:44

Je viens de tout relancer et on dirait qu'il manque un fichier pthread.h
Code:
C:\opentx\build>cmake -Wno-dev -G "Visual Studio 14" ../../Git/opentx/opentx -DCMAKE_PREFIX_PATH=C:\Qt\Qt5.7.1\5.7\msvc2015
-- Selecting Windows SDK version  to target Windows 10.0.14393.
-- The C compiler identification is MSVC 19.0.24215.1
-- The CXX compiler identification is MSVC 19.0.24215.1
-- Check for working C compiler: C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/cl.exe
-- Check for working C compiler: C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/cl.exe -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/cl.exe
-- Check for working CXX compiler: C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/cl.exe -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found Git: C:/Program Files/Git/cmd/git.exe (found version "2.19.1.windows.1")
-- OpenTX 2.2.2 @a5de713b
-- Found PythonInterp: C:/Python27/python.exe (found version "2.7.15")
-- Python found, version: 2.7.15
-- Qt Version: 5.7.1
-- Looking for pthread.h
-- Looking for pthread.h - not found
-- Found Threads: TRUE
-- Found SDL: C:/Programs/SDL/lib/SDL.lib (found version "1.2.15")
-- SDL Lib: C:/Programs/SDL/lib/SDL.lib; Headers: C:/Programs/SDL/include; Version: 1.2.15
TARGET simu/libsimulator: cpp compiler C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/cl.exe v1900
TARGET companion: cpp compiler C:/Program Files (x86)/Microsoft Visual Studio 14.0/VC/bin/cl.exe v1900
-- Partial install to C:/opentx/build
-- Configuring done
-- Generating done
-- Build files have been written to: C:/opentx/build
C'est pareil chez toi ??
avatar
LapinFou

Messages : 9403
Date d'inscription : 09/09/2014
Age : 43
Localisation : Falaise

http://falaisemodeleclub.fr/

Revenir en haut Aller en bas

Re: Simulateur 2.1.9 et 2.2.2 en FR

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Page 9 sur 10 Précédent  1, 2, 3, 4, 5, 6, 7, 8, 9, 10  Suivant

Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum